Bug 1305336 - Review Request: R-RInside - C++ Classes to Embed R in C++ Applications
Review Request: R-RInside - C++ Classes to Embed R in C++ Applications
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mukundan Ragavan
Fedora Extras Quality Assurance
:
Depends On: 1305335
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-07 04:51 EST by Mattias Ellert
Modified: 2016-03-14 15:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-04 20:20:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nonamedotc: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2016-02-07 04:51:29 EST
Spec URL: http://www.grid.tsl.uu.se/review/R-RInside.spec
SRPM URL: http://www.grid.tsl.uu.se/review/R-RInside-0.2.13-1.fc24.src.rpm

Description:
The RInside packages makes it easier to have "R inside" your C++
application by providing a C++ wrapper class providing the R
interpreter.

Fedora Account System Username: ellert
Comment 1 Mukundan Ragavan 2016-02-19 22:00:03 EST
I am traveling tomorrow .. will review on Sunday.
Comment 2 Mukundan Ragavan 2016-02-22 21:56:07 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

---> installs fine.

$ rpm -qa R-RInside*
R-RInside-examples-0.2.13-1.fc24.x86_64
R-RInside-0.2.13-1.fc24.x86_64


- Package have the default element marked as %%doc :DESCRIPTION


---> This is also fine.

- Header files in -devel subpackage, if present.
  Note: R-RInside-examples :
  /usr/lib64/R/library/RInside/examples/qt/qtdensity.h R-RInside-examples :
  /usr/lib64/R/library/RInside/examples/sandboxed_server/client/callback_helper.h
  R-RInside-examples :
  /usr/lib64/R/library/RInside/examples/sandboxed_server/client/rinsideclient.h
  R-RInside-examples :
  /usr/lib64/R/library/RInside/examples/sandboxed_server/common/binarystream.h
  R-RInside-examples :
  /usr/lib64/R/library/RInside/examples/sandboxed_server/common/constants.h
  R-RInside-examples :
  /usr/lib64/R/library/RInside/examples/sandboxed_server/common/typeid.h R
  -RInside-examples :
  /usr/lib64/R/library/RInside/examples/sandboxed_server/datatypes/bar.h R
  -RInside-examples :
  /usr/lib64/R/library/RInside/examples/sandboxed_server/datatypes/bar_rcpp_wrapper_declarations.h
  R-RInside-examples :
  /usr/lib64/R/library/RInside/examples/sandboxed_server/datatypes/bar_rcpp_wrapper_definitions.h
  R-RInside-examples :
  /usr/lib64/R/library/RInside/examples/sandboxed_server/datatypes/foo.h R
  -RInside-examples :
  /usr/lib64/R/library/RInside/examples/sandboxed_server/datatypes/foo_rcpp_wrapper_declarations.h
  R-RInside-examples :
  /usr/lib64/R/library/RInside/examples/sandboxed_server/datatypes/foo_rcpp_wrapper_definitions.h
  R-RInside-examples :
  /usr/lib64/R/library/RInside/examples/sandboxed_server/server/internalfunction_clone.h
  R-RInside-examples :
  /usr/lib64/R/library/RInside/examples/sandboxed_server/server/rinside_callbacks.h
  R-RInside-examples :
  /usr/lib64/R/library/RInside/examples/sandboxed_server/server/rinsideserver.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages


---> All these are perfectly fine.


- Package requires R-core.

---> This is fine.

- Package contains the mandatory BuildRequires.
  Note: Missing BuildRequires on R-devel, tex(latex)
  See: http://fedoraproject.org/wiki/Packaging:R


---> No issues here.

- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages


---> I think this is a bogus warning.

$ rpm -qlp R-RInside-devel-0.2.13-1.fc24.x86_64.rpm 
/usr/lib64/R/library/RInside/include
/usr/lib64/R/library/RInside/include/Callbacks.h
/usr/lib64/R/library/RInside/include/MemBuf.h
/usr/lib64/R/library/RInside/include/RInside.h
/usr/lib64/R/library/RInside/include/RInsideCommon.h
/usr/lib64/R/library/RInside/include/RInsideConfig.h



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.

---> License file not included in the tarball and not included in the rpm. Please get this to upstream's attention


[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated". 76 files have
     unknown license. Detailed output of licensecheck in
     /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305336-R-RInside/licensecheck.txt


---> looks fine.


[-]: License file installed when any subpackage combination is installed.

---> See above.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

R:
[x]: The package has the standard %install section.

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     ftp://cran.r-project.org/pub/R/contrib/main/RInside_0.2.13.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags

---> Local issue. Changing this to [x].


[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.


---> please do.

[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in R
     -RInside-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.


---> Just to bring to your notice - from build.log,

* checking compiled code ... NOTE
File 'RInside/libs/RInside.so':
  Found 'srand', possibly from 'srand' (C)
    Object: 'RInside.o'
File 'RInside/libs/RInside.so':
  Found non-API calls to R: 'R_CStackLimit', 'R_CleanTempDir',
    'R_DefParams', 'R_ReplDLLinit', 'R_RunExitFinalizers',
    'R_SetParams', 'R_SignalHandlers', 'R_TempDir', 'Rf_endEmbeddedR',
    'Rf_initEmbeddedR'
Compiled code should not call entry points which might terminate R nor
write to stdout/stderr instead of to the console, nor the system RNG.
Compiled code should not call non-API entry points in R.
See 'Writing portable packages' in the 'Writing R Extensions' manual.



This looks like something that upstream should be informed about?


[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

R:
[x]: Latest version is packaged.
     Note: The package does not come from one of the standard sources
[x]: The %check macro is present

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

---> can install. no issues (see above). rpmlint warning with the installed packages same as those below.


[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305336-R-RInside/results/R-RInside-0.2.13-1.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305336-R-RInside/results/R-RInside-devel-0.2.13-1.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305336-R-RInside/results/R-RInside-examples-0.2.13-1.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305336-R-RInside/results/R-RInside-debuginfo-0.2.13-1.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305336-R-RInside/results/R-RInside-debuginfo-0.2.13-1.fc24.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 --setopt=deltarpm=false install /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305336-R-RInside/results/R-RInside-0.2.13-1.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305336-R-RInside/results/R-RInside-devel-0.2.13-1.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305336-R-RInside/results/R-RInside-examples-0.2.13-1.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305336-R-RInside/results/R-RInside-debuginfo-0.2.13-1.fc24.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305336-R-RInside/results/R-RInside-debuginfo-0.2.13-1.fc24.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: R-RInside-0.2.13-1.fc24.x86_64.rpm
          R-RInside-devel-0.2.13-1.fc24.x86_64.rpm
          R-RInside-examples-0.2.13-1.fc24.x86_64.rpm
          R-RInside-debuginfo-0.2.13-1.fc24.x86_64.rpm
          R-RInside-0.2.13-1.fc24.src.rpm
R-RInside.x86_64: W: invalid-url URL: http://cran.r-project.org/web/packages/RInside/ <urlopen error [Errno -5] No address associated with hostname>
R-RInside.x86_64: W: no-soname /usr/lib64/libRInside.so
R-RInside-devel.x86_64: W: invalid-url URL: http://cran.r-project.org/web/packages/RInside/ <urlopen error [Errno -5] No address associated with hostname>
R-RInside-devel.x86_64: W: only-non-binary-in-usr-lib
R-RInside-devel.x86_64: W: no-documentation
R-RInside-examples.x86_64: W: invalid-url URL: http://cran.r-project.org/web/packages/RInside/ <urlopen error [Errno -5] No address associated with hostname>
R-RInside-examples.x86_64: W: only-non-binary-in-usr-lib
R-RInside-examples.x86_64: W: no-documentation
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/sandboxed_server/datatypes/bar_rcpp_wrapper_declarations.h
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_sample5.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/sandboxed_server/datatypes/foo.h
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/wt/wtdensityPlain.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/sandboxed_server/example_server.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_sample10.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/qt/qtdensity.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/mpi/rinside_mpi_sample1.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/sandboxed_server/datatypes/foo_rcpp_wrapper_definitions.h
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/sandboxed_server/datatypes/foo.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/armadillo/rinside_arma1.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_test2.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_sample13.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/mpi/rinside_mpi_sample3.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/sandboxed_server/datatypes/bar_rcpp_wrapper_definitions.h
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_sample17.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/sandboxed_server/common/binarystream.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/sandboxed_server/example_client.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_test1.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_sample2.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_sample15.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/qt/main.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_sample3.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_sample14.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/sandboxed_server/server/rinsideserver.h
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/eigen/rinside_eigen1.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/armadillo/rinside_arma0.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_sample12.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_sample8.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_test0.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_callbacks1.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/sandboxed_server/common/binarystream.h
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/sandboxed_server/client/rinsideclient.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/mpi/rinside_mpi_sample2.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/sandboxed_server/datatypes/bar.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/sandboxed_server/common/constants.h
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_sample7.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/threads/boostEx.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/sandboxed_server/common/typeid.h
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/mpi/rinside_mpi_sample0.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/sandboxed_server/datatypes/bar.h
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/sandboxed_server/client/callback_helper.h
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_callbacks0.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/eigen/rinside_eigen0.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/sandboxed_server/client/rinsideclient.h
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/sandboxed_server/server/rinsideserver.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/sandboxed_server/server/internalfunction_clone.h
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_sample6.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_sample11.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_sample4.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_sample16.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/sandboxed_server/server/rinside_callbacks.h
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/mpi/rinside_mpi_sample4.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_sample1.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_sample9.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/wt/wtdensity.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_module_sample0.cpp
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/qt/qtdensity.h
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/sandboxed_server/datatypes/foo_rcpp_wrapper_declarations.h
R-RInside-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/R/library/RInside/examples/standard/rinside_sample0.cpp
R-RInside-debuginfo.x86_64: W: invalid-url URL: http://cran.r-project.org/web/packages/RInside/ <urlopen error [Errno -5] No address associated with hostname>
R-RInside.src: W: invalid-url URL: http://cran.r-project.org/web/packages/RInside/ <urlopen error [Errno -5] No address associated with hostname>
R-RInside.src: W: invalid-url Source0: ftp://cran.r-project.org/pub/R/contrib/main/RInside_0.2.13.tar.gz <urlopen error [Errno -5] No address associated with hostname>
5 packages and 0 specfiles checked; 0 errors, 71 warnings.



---> none of these are anything to worry about.




Requires
--------
R-RInside-devel (rpmlib, GLIBC filtered):
    R-RInside(x86-64)
    R-Rcpp-devel(x86-64)
    R-core-devel(x86-64)

R-RInside (rpmlib, GLIBC filtered):
    R-Rcpp(x86-64)
    R-core(x86-64)
    libR.so()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

R-RInside-examples (rpmlib, GLIBC filtered):
    R-RInside(x86-64)

R-RInside-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
R-RInside-devel:
    R-RInside-devel
    R-RInside-devel(x86-64)

R-RInside:
    R-RInside
    R-RInside(x86-64)
    libRInside.so()(64bit)

R-RInside-examples:
    R-RInside-examples
    R-RInside-examples(x86-64)

R-RInside-debuginfo:
    R-RInside-debuginfo
    R-RInside-debuginfo(x86-64)



Unversioned so-files
--------------------
R-RInside: /usr/lib64/R/library/RInside/libs/RInside.so
R-RInside: /usr/lib64/libRInside.so

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1305336
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, R, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Mukundan Ragavan 2016-02-22 21:56:53 EST
Approved.
Comment 4 Mukundan Ragavan 2016-02-22 22:02:25 EST
> 
> Unversioned so-files
> --------------------
> R-RInside: /usr/lib64/R/library/RInside/libs/RInside.so
> R-RInside: /usr/lib64/libRInside.so
> 

For the sake of clarity 
- first entry is not an issue. 
- second file is also fine - at least, as far as I can tell.
Comment 5 Upstream Release Monitoring 2016-02-22 22:15:25 EST
nonamedotc's scratch build of R-RInside-0.2.13-1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13101320
Comment 6 Gwyn Ciesla 2016-02-23 10:47:56 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/R-RInside
Comment 7 Fedora Update System 2016-02-23 16:53:37 EST
R-RInside-0.2.13-1.fc23 R-Rcpp-0.12.3-3.fc23 R-littler-0.3.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b55f0bcc50
Comment 8 Fedora Update System 2016-02-23 16:53:40 EST
R-RInside-0.2.13-1.fc23 R-Rcpp-0.12.3-3.fc23 R-littler-0.3.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b55f0bcc50
Comment 9 Fedora Update System 2016-02-23 16:58:18 EST
R-RInside-0.2.13-1.fc22 R-Rcpp-0.12.3-3.fc22 R-littler-0.3.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d74f736f60
Comment 10 Fedora Update System 2016-02-23 16:58:21 EST
R-RInside-0.2.13-1.fc22 R-Rcpp-0.12.3-3.fc22 R-littler-0.3.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d74f736f60
Comment 11 Fedora Update System 2016-02-23 17:07:53 EST
R-RInside-0.2.13-1.el7 R-Rcpp-0.12.3-3.el7 R-littler-0.3.0-1.el7 R-inline-0.3.14-1.el7 R-highlight-0.4.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9ad155732b
Comment 12 Fedora Update System 2016-02-23 17:07:55 EST
R-RInside-0.2.13-1.el6 R-Rcpp-0.12.3-3.el6 R-littler-0.3.0-1.el6 R-inline-0.3.14-1.el6 R-highlight-0.4.7-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-359b7ddb9a
Comment 13 Fedora Update System 2016-02-25 05:53:37 EST
R-RInside-0.2.13-1.fc22, R-Rcpp-0.12.3-3.fc22, R-littler-0.3.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d74f736f60
Comment 14 Fedora Update System 2016-02-25 08:17:59 EST
R-RInside-0.2.13-1.el6, R-Rcpp-0.12.3-3.el6, R-highlight-0.4.7-1.el6, R-inline-0.3.14-1.el6, R-littler-0.3.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-359b7ddb9a
Comment 15 Fedora Update System 2016-02-25 08:21:03 EST
R-RInside-0.2.13-1.el7, R-Rcpp-0.12.3-3.el7, R-highlight-0.4.7-1.el7, R-inline-0.3.14-1.el7, R-littler-0.3.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9ad155732b
Comment 16 Fedora Update System 2016-02-25 21:26:06 EST
R-RInside-0.2.13-1.fc23, R-Rcpp-0.12.3-3.fc23, R-littler-0.3.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b55f0bcc50
Comment 17 Fedora Update System 2016-03-04 20:20:27 EST
R-RInside-0.2.13-1.fc22, R-Rcpp-0.12.3-3.fc22, R-littler-0.3.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-03-05 01:24:06 EST
R-RInside-0.2.13-1.fc23, R-Rcpp-0.12.3-3.fc23, R-littler-0.3.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-03-12 14:58:40 EST
R-RInside-0.2.13-1.el7, R-Rcpp-0.12.3-3.el7, R-highlight-0.4.7-1.el7, R-inline-0.3.14-1.el7, R-littler-0.3.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2016-03-14 15:25:49 EDT
R-RInside-0.2.13-1.el6, R-Rcpp-0.12.3-3.el6, R-highlight-0.4.7-1.el6, R-inline-0.3.14-1.el6, R-littler-0.3.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.